/* ===== AKCE PRAHA ===== */

.block-akce-praha {
  padding-top: 20px;
}
.akce-timeline .item {
  padding: 10px 0;
}

.akce-timeline .item:nth-child(odd) {
  background: #ffffff;
}

.akce-timeline .item:nth-child(even) {
  background: #fafafa;
}

.akce-timeline .img::after {
  content: "";
  position: absolute;
  left: calc(50% + 1px);
  bottom: -14px;          /* vzdálenost pod obrázkem */
  transform: translateX(-50%);
  width: 10px;
  height: 10px;
  background: #eee;
  border-radius: 50%;
  z-index: 2;
}

.akce-timeline {
  list-style: none;
  margin: 0;
  padding: 0;
  position: relative;
}

/* svislá osa */
.akce-timeline::before {
  content: "";
  position: absolute;
  /*left: 50%;*/ 
  
  left: 40px;
  top: 0;
  bottom: 0;
  width: 2px;
  background: #e0e0e0;
  
  z-index: 1;
}

/* položka – mobil */
.akce-timeline .item {
  display: flex;
  align-items: flex-start;
  gap: 12px;
  margin-bottom: 24px;
}

/* kolečko */
.akce-timeline .img {
  flex: 0 0 70px;
  width: 70px;
  height: 70px;
  border-radius: 50%;
  background: #fff;
  border: 6px solid #e0e0e0;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 2;
}

.akce-timeline .img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 50%;
}

.akce-timeline .text h4 {
  margin: 0 0 4px;
  align-self: start;
}

/* ===== DESKTOP ===== */
@media (min-width: 768px) {
	
  .akce-timeline::before {
    left: calc(50% + 0px);
  }

  .akce-timeline .item {
    display: grid;
    grid-template-columns: 1fr 120px 1fr;
    align-items: start;
    margin-bottom: 80px;
	
    grid-template-rows: auto auto;
  }

  .akce-timeline .img {
    grid-column: 2;
    justify-self: center;
    width: 120px;
    height: 120px;
	
    grid-row: 1;
  }

  .akce-timeline .text {
    grid-column: 1;
    text-align: right;
    padding-right: 24px;
	align-self: start;
	
    grid-row: 1;
  }

  .akce-timeline .item.right .text {
    grid-column: 3;
    text-align: left;
    padding-left: 24px;
    padding-right: 0;
  }
}
